package com.tofly.feesapi.common.constant;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

@Getter
public enum SflxEnum implements IEnum<Integer> {
    预存抵扣(1, "预存抵扣"),
    欠费收取(2, "欠费收取"),
    预付费收取(3, "预付费收取"),
    余额转存(4, "余额转存"),
    预存退费(5, "预存退费");

    SflxEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    private Integer value;
    private String desc;

    @Override
    public Integer getValue() {
        return this.value;
    }
}